Bug 5017 - TLD file shipped with distribution has incorrect class name
Summary: TLD file shipped with distribution has incorrect class name
Status: CLOSED FIXED
Alias: None
Product: Taglibs
Classification: Unclassified
Component: BSF Taglib (show other bugs)
Version: 1.0
Hardware: All All
: P3 critical (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2001-11-21 14:22 UTC by Rick Hightower
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rick Hightower 2001-11-21 14:22:48 UTC
in the BSF.TLD

tag class listed as bsf.scriptlet
it should be org.apache.taglibs.bsf.scriptlet
change

  <tag>
    <name>scriptlet</name>
    <tagclass>bsf.scriptlet</tagclass>
    <bodycontent>tagdependent</bodycontent>
    <info>Run script</info>
    <attribute>
      <name>language</name>
      <required>true</required>
    </attribute>
  </tag>

  <tag>
    <name>expression</name>
    <tagclass>bsf.expression</tagclass>
    <bodycontent>tagdependent</bodycontent>
    <info>Run expression</info>
    <attribute>
      <name>language</name>
      <required>true</required>
    </attribute>
  </tag>


to............
 
  <tag>
    <name>scriptlet</name>
    <tagclass>org.apache.taglibs.bsf.scriptlet</tagclass>
    <bodycontent>tagdependent</bodycontent>
    <info>Run script</info>
    <attribute>
      <name>language</name>
      <required>true</required>
    </attribute>
  </tag>

  <tag>
    <name>expression</name>
    <tagclass>org.apache.taglibs.bsf.expression</tagclass>
    <bodycontent>tagdependent</bodycontent>
    <info>Run expression</info>
    <attribute>
      <name>language</name>
      <required>true</required>
    </attribute>
  </tag>
Comment 1 Glenn Nielsen 2002-04-02 13:15:05 UTC
Thanks for reporting this, the tagclass packages in the tld have been fixed.
The fixed version will be available in the next nightly build.